﻿
using System;
using System.IO;
using System.Windows.Forms;

using MindFusion.Spreadsheet;


namespace SpreadsheetConvertPdf
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, EventArgs e)
		{
			var path = Path.GetDirectoryName(Application.ExecutablePath);

			Convert(Path.Combine(path, "report.xlsx"), Path.Combine(path, "report.pdf"));
		}

		private void button2_Click(object sender, EventArgs e)
		{
			OpenFileDialog openDialog = new OpenFileDialog();
			openDialog.Filter = "XLSX Files|*.xlsx|All Files|*.*||";
			if (openDialog.ShowDialog(this) != System.Windows.Forms.DialogResult.OK)
				return;

			SaveFileDialog saveDialog = new SaveFileDialog();
			saveDialog.Filter = "PDF Files|*.pdf|All Files|*.*||";
			if (saveDialog.ShowDialog(this) != System.Windows.Forms.DialogResult.OK)
				return;

			Convert(openDialog.FileName, saveDialog.FileName);
		}

		void Convert(string xlsxPath, string pdfPath)
		{
			// Import the data
			var importer = new ExcelImporter();
			importer.Import(xlsxPath, workbook1);

			// Export the worksheet as PDF
			var exporter = new PdfExporter();
			exporter.EnableGridLines = true;
			exporter.Export(workbook1.Worksheets[0], pdfPath);

			// Open the PDF
			System.Diagnostics.Process.Start(pdfPath);
		}
	}
}
